Skip to main content
GET
/
v1
/
status
/
{job_id}
Get Status
curl --request GET \
  --url https://api.example.com/v1/status/{job_id}
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "job_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "progress": {},
  "error_message": "<string>"
}

Headers

authorization
string | null
refresh-token
string | null

Path Parameters

job_id
string<uuid>
required

Response

Successful Response

Returned by GET /v1/status/{job_id}.

job_id
required
job_type
string
required

One of: trainer_run, reasoning_fit, patterns_fit, inference_run, agentic_induce, agentic_tabularize.

status
enum<string>
required
Available options:
pending,
running,
completed,
failed
created_at
string<date-time>
required
updated_at
string<date-time>
required
progress
Progress · object

Progress info, e.g. {"step": 3, "total_steps": 5}

error_message
string | null